Fair warning: This is all under development and not yet packaged up for easy
deployment

## hmml_to_html

### Download, and prepare the parser

1. `git clone git@gitssh.handmade.network:Annotation-Pushers/Annotation-System.git`
2. `cd Annotation-System/hmmlib`
3. `make`
4. `cp hmml.a hmmlib.h ../hmml_to_html/`
5. `cd ../hmml_to_html/`

Note: For each parser update, remember to make and copy it into place

### Build

1. `zsh hmml_to_html.c` (replacing zsh with your shell as appropriate)

### Run

#### Ordinary operation

    ./hmml_to_html test.hmml

This simply generates an HTML file (and updates `cinera_topics.css` if needed)
from `test.hmml` and outputs to `out.html`

Note that if the `.hmml` file contains quotes (as `test.hmml` does), it would be
easiest for now just to remove the quote from `test.hmml`. If you want quotes
to work, run:

    mkdir /home/matt/git/GitHub/insofaras/25fc16d58a297a486334
    git clone https://gist.github.com/insofaras/25fc16d58a297a486334 /home/matt/git/GitHub/insofaras/25fc16d58a297a486334

    (Seriously, the path is hardcoded for now)

Note also that `cinera.css` contains a `body {}` block at the bottom which you
may want to remove / comment out

#### Integration

    CINERA_MODE=INTEGRATE ./hmml_to_html test.hmml

This will integrate into `template.html` (currently hardcoded) the player and
related elements generated from `test.hmml` and output to `out.html`

Feel free to play with `template.html` to your heart's content. If you do
anything invalid, `hmml_to_html` will tell you what's wrong

Valid tags:

- `<!-- __CINERA_TITLE__ -->` _the day / episode name, intended to be used
  inside your own `<title>` element, but may be used wherever and as many times
  as you want on your page_
- `<!-- __CINERA_INCLUDES__ -->` _the necessary `.css` and `.js` files, and charset setting_
- `<!-- __CINERA_MENUS__ -->` _ _the menu bar that typically appears above the
  player in my samples_
- `<!-- __CINERA_PLAYER__ -->` _the player_
- `<!-- __CINERA_SCRIPT__ -->` _the listeners that enable interaction with the player_

#### Arguments

	Usage: ./hmml_to_html [option(s)] filename(s)

	Options:
		-c <CSS directory path>
			Override default CSS directory (".")
		-i <images directory path>
			Override default images directory (".")
		-j <JS directory path>
			Override default JS directory (".")
		-o <output location>
			Override default output location ("out.html")
		-q <quotes directory path>
			Override default quotes directory ("/home/matt/git/GitHub/insofaras/25fc16d58a297a486334")
		-t <template location>
			Override default template location ("template.html")
			and automatically enable integration
		-h
			display this help
